#!/bin/bash -e
cd "$(dirname "$0")"
. ../lib.sh

ISO=(
    [win2k22]='https://go.microsoft.com/fwlink/p/?LinkID=2195280'
    [virtio]='https://fedorapeople.org/groups/virt/virtio-win/direct-downloads/latest-virtio/virtio-win.iso'
)

if ! [ -f hda.qcow2 ]; then
    ask_yn 'hda not found, create?' || exit 1
    qemu-img create -f qcow2 hda.qcow2 40G
    download_isos
fi

qemu "$@" \
    #-device usb-host,vendorid=0xffff,productid=0xffff
